// Datei: korliste1.DCL
// Dialogbox fr Koordinatenliste einlesen
//
// Gerhard Arend KEB36
// Stand 17.08.99

korliste1 : dialog {
      label = "Koordinatenliste einlesen";
      :row {                                                       // Zeile
        : edit_box {
          alignment = left;
          label = "Dateiname:       ";                             // Text links neben Eingabebereich
          edit_width = 45;                                         // Breite des Eingabebereiches
          key = "name_liste";                                      // Variablenname
          fixed_width = true;
        }
        : button {
          label = "Suchen... ";
          key = "suchen_ein_file";
        }
      }

      : boxed_column {
         label = "Linienverbindung erzeugen";
          : radio_row {
            : radio_button {
              label = "Ja";
              key = "linieja";
              value = "1";                                        // Voreingestellt = ein
            }
            : radio_button {
              label = "Nein";
              key = "linienein";
            }
          }
       }

      
      : boxed_column {
       label = "Elementeinfgung auf Koordinate";
         : row {
          : radio_row {
            : radio_button {
              label = "Nein";
              key = "element_nein";
              value = "1";                                        // Voreingestellt = nein
            }
            : radio_button {
              label = "Symbol";
              key = "element_sym";
            }
            : radio_button {
              label = "Block";
              key = "element_block";
            }
          }
         : button {
          label = "Suchen... ";
          key = "suchen_blo_file";
          fixed_width = true;
         }
        }
         : row {
         key = "sym_blo_wert";
          : edit_box {
          //children_alignment = centered;
          label = "Symbol oder Blockname:";                        // Text links neben Eingabebereich
          edit_width = 25;                                         // Breite des Eingabebereiches
          key = "sym_blo_name";                                    // Variablenname
          }
          : edit_box {
          //children_alignment = centered;
          label = "Skalierfaktor:";                                // Text links neben Eingabebereich
          edit_width = 5;                                          // Breite des Eingabebereiches
          key = "sk_faktor";                                       // Variablenname
          value = "1";
          }
        }

       }

      : boxed_column {
        label = "Koordinaten";
          :row {  
            : edit_box {
              edit_width = 3;
              label = "X-Koordinate  ab Spalte";
              key   = "xsa";
              // alignment = left;
              fixed_width = true;
            } 
            : edit_box {
              edit_width = 3;
              label = "    bis Spalte";
              key   = "xse";
              // alignment = left;
              fixed_width = true;
            }
            : edit_box {
              edit_width = 3;
              label = "   Vorwert";
              key   = "xvorwert";
              value = "3";
              // alignment = left;
              fixed_width = true;
            }
          }
          :row {  
            : edit_box {
              edit_width = 3;
              label = "Y-Koordinate  ab Spalte";
              key   = "ysa";
              // alignment = centered;
              fixed_width = true;
            }  
            : edit_box {
              edit_width = 3;
              label = "    bis Spalte";
              key   = "yse";
              // alignment = centered;
              fixed_width = true;
            }
            : edit_box {
              edit_width = 3;
              label = "   Vorwert";
              key   = "yvorwert";
              value = "5";
              // alignment = centered;
              fixed_width = true;
            }
          }
          :row {
            : edit_box {
              edit_width = 3;
              label = "z-Koordinate  ab Spalte ";
              key   = "zsa";
              //alignment = centered;
              fixed_width = true;
            }  
            : edit_box {
              edit_width = 3;
              label = "          bis Spalte";
              key   = "zse";
              // alignment = centered;
              fixed_width = true;
            }
            spacer_1;
            spacer_1;
            spacer_1;
            spacer_1;
          }   
      }
      : boxed_column {
        label = "Codierwerte";
          :row {
          :boxed_row {
            key = "codierung";  
              : edit_box {
                alignment = right;
                edit_width = 3;
                label = "Codierwert";
                key   = "codew";
                fixed_width = true;
              }  
              : edit_box {
                alignment = right;
                edit_width = 3;
                label = "          ab Spalte";
                key   = "codespa";
                fixed_width = true;
              }
              : edit_box {
                alignment = right;
                edit_width = 3;
                label = "         bis Spalte";
                key   = "codespe";
                fixed_width = true;
              }
            }
            : toggle {
              label = "keine Codierung";
              key = "codier";
            }
          }
      }
      : boxed_column {
        label = "Variabler Text";
          :row {  
            : edit_box {
              alignment = right;
              edit_width = 3;
              label = "Textwert 1:  ab Spalte  ";
              key   = "t1sa";
              fixed_width = true;
            }  
            : edit_box {
              alignment = right;
              edit_width = 3;
              label = "    bis Spalte";
              key   = "t1se";
              fixed_width = true;
            }
            spacer_1;
            spacer_1;
            spacer_1;
            spacer_1;
          }
          :row {  
            : edit_box {
              alignment = right;
              edit_width = 3;
              label = "Textwert 2:  ab Spalte  ";
              key   = "t2sa";
              fixed_width = true;
            }  
            : edit_box {
              alignment = right;
              edit_width = 3;
              label = "    bis Spalte";
              key   = "t2se";
              fixed_width = true;
            }
            spacer_1;
            spacer_1;
            spacer_1;
            spacer_1;
          }
          
      }
      :row {                                                                // Zeile
         ok_cancel;

        : button {
          label = "Speichern";
          key = "dspeich";
          fixed_width = true;                                               // Buttonlnge angepasst an Labelbeschriftung
        }
        : button {
          label = " Laden ";
          key = "dladen";
          fixed_width = true;
        }
     }  
   }